UpdateAlertNotificationPolicy
Update an existing notification routing policy
PUT
/api/v1/alerting/notification-policies/{uuid}Operation ID
UpdateAlertNotificationPolicySince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredUUID of the policy to update
Body Fields
nameStringRequiredNew policy name
Example: Updated Routing Policy
descriptionStringRequiredNew policy description
Example: Updated routing description
priorityIntegerRequiredNew priority order
Example: 2
matchersListRequiredUpdated label matchers
Example: (nested array)
keyStringLabel key to match against
Example: severity
operatorStringMatch operator: eq, neq, regex, etc.
Example: eq
valueStringValue to match against
Example: critical
channelIdsListRequiredUpdated channel UUIDs
Example: item1,item2
